Bank Kalteng (Phase 2) - Bug #1363

[ESS PMS] PMS Review Phase 2 - Hilangkan Button Add & Delete
07/18/2022 09:51 AM - Mega Yunita

Status: Closed Start date: 07/18/2022
Priority: Urgent Due date: 07/19/2022
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear Mas Azid,

Mohon bantuannya untuk menghilangkan button Add & Delete pada Form ESS PMS Review karena form tersebut nantinya akan
autofill.

1. Grid History Goal Setting otomatis terisi sesuai dengan data yang ada di Header Goal Setting (PHRPAQ047), dengan ketentuan
jika employee memiliki GS dan belum memiliki Final.

Contoh : - di th 2020 employee memiliki GS dan Final, maka data tersebut tidak perlu muncul di grid tersebut.

- di th 2021 employee memiliki GS dan belum punya final, maka muncul data di grid tersebut.

2. Grid Appraiser otomatis terisi sesuai data yang ada di Appraiser Goal Setting (PHRPA0048)

3. Grid KPI, beberapa field otomatis terisi sesuai data yang ada di KPl Goal Setting (PHRPA0049), field yang terisi otomatis adalah :
- Perspective

- KPI Description

- Sub KPI Desc

- Target

- Weight

4. Grid Qualification otomatis terisi sesuai data yang ada di Qualification Goal Setting (PHRPAQ0051)
5. Grid Skala Penilaian Kerja otomatis terisi sesuai data yang ada di table PHRPMIDXSCOR

Port : http://103.168.134.28:31130/

Server : 103.168.134.119

DB : MinovaES_BankKalteng_Dev

Menu : MyWorkPlace > Request > PMS > Performance Review

Semoga dapat dimengerti

Terimakasih
History

#1 - 07/18/2022 11:51 AM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Mega Yunita

dear mega , untuk redmine ini udah bisa di test ya

makesure dulu untuk yg Skala Penilaian Hasil Kerja , kalau di review seperti apa
makasih

#2 - 07/18/2022 04:04 PM - Mega Yunita
- Status changed from QA Test to Closed

Done mas, thank you

#3 - 07/18/2022 05:21 PM - Mega Yunita

- Status changed from Closed to Assigned

Mohon bantuannya untuk membuatkan validasi pada saat input KPI Score pada PMS Review & PMS Final , dengan ketentuan :
1. Angka yang diinput minimal 1, dan maksimal 5 (dengan ketentuan dalam bentuk desimal), KPI Score diambil dari PHRPA0049 Field
App1Value_49

#4 - 07/25/2022 01:57 PM - Kezia Pawitra Yulianti
- Assignee changed from Mega Yunita to M Azid Wahyudi

#5 - 07/26/2022 05:10 PM - Mega Yunita

- Status changed from Assigned to Closed
